> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Address validation

> Address validation



## OpenAPI

````yaml oms_v1 post /api-tax/address/validate
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /api-tax/address/validate:
    post:
      tags:
        - Tax/Address Validate
      summary: Address validation
      description: Address validation
      operationId: addressValidation
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - line1
                - city
                - region
                - country
              properties:
                line1:
                  type: string
                line2:
                  type: string
                line3:
                  type: string
                city:
                  type: string
                region:
                  type: string
                country:
                  type: string
                postalCode:
                  type: string
      responses:
        '200':
          description: Address validation
          content:
            application/json:
              schema:
                type: object
                properties:
                  addressValid:
                    type: boolean
                    example: true
                  validatedAddrSuggestions:
                    type: array
                    items:
                      type: object
                      properties:
                        addressType:
                          type: string
                          example: UnknownAddressType
                        line1:
                          type: string
                          example: 761 5TH AVE
                        line2:
                          type: string
                        line3:
                          type: string
                        city:
                          type: string
                          example: NEW YORK
                        region:
                          type: string
                          example: NY
                        country:
                          type: string
                          example: US
                        postalCode:
                          type: string
                          example: '10153'
                        latitude:
                          type: number
                          example: 40.76368
                        longitude:
                          type: number
                          example: -73.973311
                  addressesFound:
                    type: integer
                    example: 1
        '400':
          $ref: '#/components/responses/GenericClientError'
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````